package org.medical.services;

public class TestHarnessJavaRuleEngine extends TestHarness {
    
    JavaRuleEngine engine;
    
    public TestHarnessJavaRuleEngine() throws Exception {
        super("Specialized Java Rule Engine");
        engine = new JavaRuleEngine();
        engine.setRules("data\\MedicalServicesDecisionTable.csv");
    }

    @Override
    public void execute(MedicalService[] services) {
        for (MedicalService service : services) {
            engine.execute(service);
        }
    }
    
    public static void main(String[] args) throws Exception {
        System.out.println("Test Java Rule Engine");
        new TestHarnessJavaRuleEngine().test();
    }
}

